ChirpyDevelopers Open Chirpy

Actions / Posts

Attach media

Read and createattach_media

Adds Media Library files or Chirpy media links to an existing draft. For a scheduled post use update_scheduled_media.

Needs the write scope. Creates or changes things in Chirpy. Publishes nothing.

Inputs

InputTypeRequiredDescription
draftIdintegerYes
mediaFileIdsinteger[]
mediaUrlsstring[]
replacebooleanReplace the draft's media instead of adding to it

REST

curl https://chirpy.me/api/v1/attach_media \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{"draftId":123}'

MCP

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "attach_media",
    "arguments": {
      "draftId": 123
    }
  }
}

MCP hints: readOnlyHint: false, destructiveHint: false, idempotentHint: false, openWorldHint: false.